* {
    margin: auto;
    scroll-behavior: smooth;
}

ul {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1rem;
    background-color: rgb(255, 39, 129);
    padding: 1rem;
    list-style: none;
}

a {
    text-decoration: none;
    color: white;

    font-family: "Bitcount Prop Single", system-ui;
      font-optical-sizing: auto;
     font-weight: 300;
     font-style: normal;
     size: 200%;
     font-variation-settings:
    "slnt" 0,
    "CRSV" 0.5,
    "ELSH" 0,
    "ELXP" 0;
}

header {
    margin: 2rem;
    padding: 2rem;
    background-color: rgb(255, 238, 230);
    height: 35rem;
    text-align: center;
    border: solid hotpink 1.5rem;
}

.about {
    
    background-color: rgb(255, 216, 239);
    overflow: hidden;
}

.substyles {
    float: left;
    overflow: hidden;
}

.substyles .substyles-button {
    border: none;
    outline: none;
    background-color: inherit;
    padding-right: 26px;

    text-decoration: none;
    color: white;

    font-family: "Bitcount Prop Single", system-ui;
      font-optical-sizing: auto;
     font-weight: 300;
     font-style: normal;
     size: 200%;
     font-variation-settings:
    "slnt" 0,
    "CRSV" 0.5,
    "ELSH" 0,
    "ELXP" 0;
}

nav {
    display: block;
    overflow: hidden;
}

nav a {
    float: left;
}

nav a:hover, .substyles:hover .substyles-button {
    background-color: rgb(255, 124, 220);
}

.substyles-dropdown {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.substyles-dropdown a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.substyles-dropdown a:hover {
    background-color: #ddd;
}

.substyles:hover .substyles-dropdown {
    display: block;
}

#ganguro {
    padding: 1rem;
    background-color: rgb(255, 167, 218);
}

#hime {

    padding: 1rem;
    background-color: rgb(255, 216, 239);
}

#tsuyome {

    padding: 1rem;
    background-color: rgb(174, 229, 255);
}

#rokku {
    padding: 1rem;
    background-color: rgb(255, 167, 218);
}

#culture {
    padding: 1rem;
    background-color: rgb(255, 216, 239);
}

#media {
    padding: 1rem;
    background-color: rgb(174, 229, 255);
}

.description {
    display: grid;
    grid-template-columns: 1fr;
    column-gap: 1rem;
    margin-left: 5rem;
    margin-right: 5rem;
    margin-bottom: 2rem;
}

.description img {
    width: 100%;
    height: auto;
}

.two-sections {
    display: grid;
    grid-template-columns: 1fr;
    column-gap: 1rem;
    margin-left: 5rem;
    margin-right: 5rem;
    margin-bottom: 2rem;
}

.two-sections img {
    width: 100%;
    height: auto;
}

.desc-text {
    background-color: rgb(255, 249, 243);
    padding: 1rem;
    border-radius: 1rem;
    border: rgb(226, 226, 226) dashed 4px;
}

img {
       overflow-clip-margin: content-box;
       overflow: clip;
       border-radius: 1rem;
}

h1 {
    padding-top: 10rem;

    font-family: "Playfair Display SC", serif;
    font-weight: 700;
    font-style: normal;
    font-size: 200%;

    color: rgb(255, 128, 198);
    border: palevioletred;
}

h2 {
    padding: 1.5rem;
    font-family: "Kalnia", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
    "wdth" 100;
}

h3 {
    color: pink;

    font-family: "VT323", monospace;
    font-weight: 400;
    font-style: normal;
}

p {
    font-family: "Space Mono", monospace;
    font-weight: 400;
    font-style: normal;
}

body {
    background-image: url(./img/bg.jpg);
    background-size: cover;
}

#pagedoll {
    background-repeat:no-repeat; position:fixed; z-index:100; cursor:default;
    bottom: 0; 
    right: 0;
    height: 200px;
    padding-right: 50px;
    width: auto;
}

footer {
    margin: 1rem;
    padding: 1rem;
    background-color: rgb(255, 238, 230)
}

@media screen and (min-width: 1020px) {
    header {
        margin: 1rem;
        padding: 1rem;
        background-color: rgb(255, 238, 230);
        height: 30rem;
        text-align: center;
    }

    h1 {
        padding-top: 10rem;

        font-family: "Playfair Display SC", serif;
        font-weight: 700;
        font-style: normal;
        font-size: 400%;
    }  

    .description {
        display: grid;
        grid-template-columns: 1.5fr 1fr;
        column-gap: 7rem;
        margin-left: 10rem;
        margin-right: 10rem;
        margin-bottom: 5rem;
    }

    .two-sections {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 7rem;
        margin-left: 10rem;
        margin-right: 10rem;
        margin-bottom: 5rem;
    }

    #pagedoll {
        background-repeat:no-repeat; position:fixed; z-index:100; cursor:default;
        bottom: 0; 
        
        height: 200px;
        width: auto;
    }
}

/* .space-mono-regular {
    font-family: "Space Mono", monospace;
    font-weight: 400;
    font-style: normal;
  }
  
  .space-mono-bold {
    font-family: "Space Mono", monospace;
    font-weight: 700;
    font-style: normal;
  }
  
  .space-mono-regular-italic {
    font-family: "Space Mono", monospace;
    font-weight: 400;
    font-style: italic;
  }
  
  .space-mono-bold-italic {
    font-family: "Space Mono", monospace;
    font-weight: 700;
    font-style: italic;
  }
   */